### Class

# FwupdPlugin IfwiFptFirmware

#### Description [src]

    class FwupdPlugin.IfwiFptFirmware : FwupdPlugin.Firmware
    {
      /* No available fields */
    }

An Intel Flash Program Tool (aka FPT) header can be found in IFWI (Integrated Firmware Image) firmware blobs which are used in various Intel products using an IPU (Infrastructure Processing Unit).

This could include hardware like SmartNICs, GPUs, camera and audio devices.

See also: `FuFirmware`.

#### Hierarchy

#### Ancestors

- FuFirmware
- GObject

#### Constructors

###### fu_ifwi_fpt_firmware_new

Creates a new `FuFirmware` of Intel Flash Program Tool format.

since: 1.8.2

#### Instance methods

##### Methods inherited from FuFirmware (66)

Please see FuFirmware for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from FuFirmware (1)

###### FwupdPlugin.Firmware:parent

The firmware parent.

since: 1.8.2

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdPluginIfwiFptFirmwareClass {
      FuFirmwareClass parent_class;

    }

No description available.

###### Class members

`parent_class: FuFirmwareClass`

  No description available.